#version 460

layout(location = 0) in vec3 pos;

layout(push_constant) uniform PushConstants {
    mat4 view;
    mat4 viewProj;
} pc;

layout(location = 0) out vec3 texCoord;

void main() {
    gl_Position = pc.viewProj * vec4(pos, 1.0);
    texCoord = pos;
}
